#include<stdio.h>
#include<math.h>
void DOUT();
double E1();
double R1(double J,double Z);
double C1(double Z);
double TF1();
double L1(double Z);
double R2(double J,double Z);
void FUNC(double T,double X[],int N);
double FU(int I,double T,double X[]);
double OP[100];
double H,X[130],XX[30],T;
double PA[10000];
double DX[130];
double DSIGN(double a,double b);

double C1Y;

void DOUT(){
  OP[0]=C1(X[0]);
  OP[1]=X[2];
}

double E1(){
  double E1;
E1=PA[1];
  return(E1);
}

double R1(double J,double Z){
  double R1;
double R1FL;
R1FL=PA[2]*PA[3]*sqrt(2*Z/PA[4]);
if(T<=PA[5]){
R1=R1FL*T/PA[5];
}else{
R1=R1FL;
}
  return(R1);
}

double C1(double Z){
  double C1;
C1=PA[6]*Z/(PA[7]+PA[8]*X[2]);
  return(C1);
}

double TF1(){
  double TF1;
TF1=1/PA[9];
  return(TF1);
}

double L1(double Z){
  double L1;
L1=Z/PA[10];
  return(L1);
}

double R2(double J,double Z){
  double R2;
R2=PA[11]*Z;
  return(R2);
}

void FUNC(double T,double X[],int N){
  DX[0]=(R1(1,(E1()-C1(X[0])))-L1(X[1])/TF1());
  DX[1]=(C1(X[0])/TF1()-R2(0,L1(X[1])));
  DX[2]=L1(X[1]);
}

double FU(int I,double T,double X[]){
  double FU;
  FU=0.0e-00;
  return(FU);
}

